Upgrade - Could not load assembly - EPiServer.WebDav v.5.2.375.7

Vote:
 

 

I have just upgraded the CMS from v5.1.422.267 to v.5.2.375.7 using the Installation Manager. All appeared to run ok but now my project won't build with the following error.

Error 79 Could not load file or assembly 'EPiServer.WebDav, Version=5.2.375.7, Culture=neutral, PublicKeyToken=8fe83dea738b45b7' or one of its dependencies. The located assembly's manifest definition does not match the assembly reference. (Exception from HRESULT: 0x80131040)
 

This is referring to the following dependency in web.config:

<dependentAssembly>
<assemblyIdentity name="EPiServer.WebDav" publicKeyToken="8fe83dea738b45b7" culture="neutral"/>
<bindingRedirect oldVersion="5.0.0.0-5.65535.65535.65535" newVersion="5.2.375.7"/>
</dependentAssembly>

#33031
Sep 30, 2009 10:41
Vote:
 

I have continued upgrading using Deployment Center to v5.2.375.236, this appeared successful but I still have the same missing assembly, but this time v5.2.375.236

Error 50 Could not load file or assembly 'EPiServer.WebDav, Version=5.2.375.236, Culture=neutral, PublicKeyToken=8fe83dea738b45b7' or one of its dependencies. The located assembly's manifest definition does not match the assembly reference. (Exception from HRESULT: 0x80131040)

#33034
Sep 30, 2009 11:13
Vote:
 
Can you check witch version of WebDav you have a reference to in your project? this should of course match the one you use in web.config. If you dont have it then it can be found in your <program files>\EPiServer\CMS\5.2.375.236\bin folder. Include it in your project and you should be fine.
#33057
Sep 30, 2009 15:48